Package org.apache.xmlbeans.impl.xb.xmlconfig

## Interface Extensionconfig.PrePostSet

- All Superinterfaces:
    `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `ExtensionconfigImpl.PrePostSetImpl`
  Enclosing interface:
    Extensionconfig

      public static interface Extensionconfig.PrePostSet
      extends XmlObject

  An XML prePostSet(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<Extensionconfig.PrePostSet>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getStaticHandler()` | Gets the "staticHandler" element
    `void` | `setStaticHandler​(String staticHandler)` | Sets the "staticHandler" element
    `XmlString` | `xgetStaticHandler()` | Gets (as xml) the "staticHandler" element
    `void` | `xsetStaticHandler​(XmlString staticHandler)` | Sets (as xml) the "staticHandler" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<Extensionconfig.PrePostSet> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getStaticHandler

          String getStaticHandler()

      Gets the "staticHandler" element

    - #### xgetStaticHandler

          XmlString xgetStaticHandler()

      Gets (as xml) the "staticHandler" element

    - #### setStaticHandler

          void setStaticHandler​(String staticHandler)

      Sets the "staticHandler" element

    - #### xsetStaticHandler

          void xsetStaticHandler​(XmlString staticHandler)

      Sets (as xml) the "staticHandler" element